FAST4-G
1
BRL-CAD
BRL-CAD

# fast4-g

FASTGEN4 Translator (FASTGEN4 to BRL-CAD)

      fast4-g
        -dwq
        -o plot_file
        -m muves_warnings
        -c id_list
        -x RT_DEBUG_FLAG
        -b BU_DEBUG_FLAG
        file.fastgen4
        file.g

## DESCRIPTION

fast4-g converts the specified file.fastgen4 to a BRL-CAD file.g file.

The `-d` option prints debugging information and the `-w` option prints warnings whenever an object is assigned a default name (no name specified in the FASTGEN4 file).

The `-q` option requests quiet mode, so that nothing will be printed except errors.

The `-b` option specifies a value for a debug flag for libbu and the `-x` option specifies a value for the librt debug flag.

The `-o` option indicates that all CTRI and CQUAD elements that get processed should be output to the specified plot_file in libplot3 format. This plot file can be viewed in MGED using the overlay command.

The `-m` option requests that information about any CHGCOMP and CBACKING elements be output in the specified muves_warnings file.

The `-c` option allows the user to specify a restricted set of components to process from the input file. The id_list may be a comma separated list of ident numbers and ranges. For example, `-c 3002,5678,9213,1002-1100` will convert only the regions with idents of 3002,5678,9213, and everything from 1002 through 1100.

If you have a FASTGEN2 or FASTGEN3 format file, they can be converted by processing them with rpatch and then providing the resulting rpatch file to the patch-g converter. See their respective manual pages for more information.

The file.fastgen4 file is expected to be in the FASTGEN 4.1 format as defined in the FASTGEN 4.1 User Manual.

CCONE1, CCONE2, and CCONE3 elements are converted to BRL-CAD truncated right cylinders (TRC). CHEX2 elements are converted to BRL-CAD arbitrary convex polyhedrons (ARB8). CLINE elements are converted to BRL-CAD cline solids. CQUAD , CTRI , and CHEX1 elements are converted to faces of a BRL-CAD BOT (Bag Of Triangles). CSPHERE elements are converted to BRL-CAD sphere (SPH) solids. BRL-CAD region ident numbers are assigned by combining the FASTGEN4 group and component numbers:

    	ident = group x 1000 + component

and object names are assigned from the FASTGEN4 $NAME elements using an algorithm to create unique BRL-CAD names.

## EXAMPLE

    $ fast4-g sample.fastgen4 sample.g

## SEE ALSO

rpatch 1, patch-g 1 FASTGEN 4.1 User's Manual, XRESV Tech Note 94-01, Hugh Griffis and Maty Lentz, April 1994

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1994-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.